Startup.py executed twice
Status: Closed

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.14.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23128

Description

In my startup.py file (in [user]\\.qgis\\python) I have simply

import qgis

qgis.utils.iface.actionShowPythonDialog().trigger()

print "hello world" 

the console opens as expected, but my 'hello world' message consistently prints out twice. I posted on the GIS Stackexchange site where

it appears at least 1 other user has experienced the same issue.

Associated revisions

Revision f54d845d - 2016-07-02 05:15 PM - Matthias Kuhn 

Run startup.py only once

Fix #15189

Revision 729fc493 - 2016-07-11 03:17 PM - Matthias Kuhn 

Run startup.py only once

Fix #15189

History

#1 - 2016-07-02 08:16 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"f54d845d41bfbf36180821648b7367696c779656".
http://gis.stackexchange.com/questions/199772/qgis-startup-py-executed-twice

